### Method

# Ggit Repository set_submodule_url

#### Declaration [src]

    void
    ggit_repository_set_submodule_url (
      GgitRepository* repository,
      const gchar* name,
      const gchar* url,
      GError** error
    )

#### Description [src]

Sets the URL for the submodule in the configuration.

After calling this, you may wish to call `ggit_submodule_sync()` to write the changes to the checked out submodule repository.

#### Parameters

`name`

  Type: `const gchar*`

  The name of the submodule to configure.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`url`

  Type: `const gchar*`

  URL that should be used for the submodule.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.